@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('parent::parent.name') !!} <small> {!! trans('app.manage') !!} {!! trans('parent::parent.names') !!}</small>
@stop

@section('title')
{!! trans('parent::parent.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('parent::parent.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='parent-parent-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="parent-parent-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('parent::parent.label.student_id')!!}</th>
                    <th>{!! trans('parent::parent.label.name')!!}</th>
                    <th>{!! trans('parent::parent.label.password')!!}</th>
                    <th>{!! trans('parent::parent.label.api_token')!!}</th>
                    <th>{!! trans('parent::parent.label.remember_token')!!}</th>
                    <th>{!! trans('parent::parent.label.dob')!!}</th>
                    <th>{!! trans('parent::parent.label.address')!!}</th>
                    <th>{!! trans('parent::parent.label.street')!!}</th>
                    <th>{!! trans('parent::parent.label.city')!!}</th>
                    <th>{!! trans('parent::parent.label.email')!!}</th>
                    <th>{!! trans('parent::parent.label.mobile')!!}</th>
                    <th>{!! trans('parent::parent.label.phone')!!}</th>
                    <th>{!! trans('parent::parent.label.sex')!!}</th>
                    <th>{!! trans('parent::parent.label.photo')!!}</th>
                    <th>{!! trans('parent::parent.label.status')!!}</th>
                    <th>{!! trans('parent::parent.label.user_type')!!}</th>
                    <th>{!! trans('parent::parent.label.status')!!}</th>
                    <th>{!! trans('parent::parent.label.created_at')!!}</th>
                    <th>{!! trans('parent::parent.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[student_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[name]')->raw()!!}</th>
                    <th>{!! Form::text('search[password]')->raw()!!}</th>
                    <th>{!! Form::text('search[api_token]')->raw()!!}</th>
                    <th>{!! Form::text('search[remember_token]')->raw()!!}</th>
                    <th>{!! Form::text('search[dob]')->raw()!!}</th>
                    <th>{!! Form::text('search[address]')->raw()!!}</th>
                    <th>{!! Form::text('search[street]')->raw()!!}</th>
                    <th>{!! Form::text('search[city]')->raw()!!}</th>
                    <th>{!! Form::text('search[email]')->raw()!!}</th>
                    <th>{!! Form::text('search[mobile]')->raw()!!}</th>
                    <th>{!! Form::text('search[phone]')->raw()!!}</th>
                    <th>{!! Form::text('search[sex]')->raw()!!}</th>
                    <th>{!! Form::text('search[photo]')->raw()!!}</th>
                    <th>{!! Form::text('search[status]')->raw()!!}</th>
                    <th>{!! Form::text('search[user_type]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#parent-parent-entry', '{!!trans_url('admin/parent/parent/0')!!}');
    oTable = $('#parent-parent-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/parent/parent') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#parent-parent-list .search_bar input, #parent-parent-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'student_id'},
                    {data :'name'},
                    {data :'password'},
                    {data :'api_token'},
                    {data :'remember_token'},
                    {data :'dob'},
                    {data :'address'},
                    {data :'street'},
                    {data :'city'},
                    {data :'email'},
                    {data :'mobile'},
                    {data :'phone'},
                    {data :'sex'},
                    {data :'photo'},
                    {data :'status'},
                    {data :'user_type'},
                {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#parent-parent-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#parent-parent-list').DataTable().row( this ).data();

        $('#parent-parent-entry').load('{!!trans_url('admin/parent/parent')!!}' + '/' + d.id);
    });

    $("#parent-parent-list .search_bar input, #parent-parent-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

