<?php

namespace Asadi\Parent\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Parent\Interfaces\ParentRepositoryInterface;

class ParentPublicController extends BaseController
{
    // use ParentWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Parent\Interfaces\ParentRepositoryInterface $parent
     *
     * @return type
     */
    public function __construct(ParentRepositoryInterface $parent)
    {
        $this->repository = $parent;
        parent::__construct();
    }

    /**
     * Show parent's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $parents = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('parent::public.parent.index', compact('parents'))->render();
    }

    /**
     * Show parent.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $parent = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('parent::public.parent.show', compact('parent'))->render();
    }

}
