<?php

namespace Asadi\Parent;

use User;

class Parent
{
    /**
     * $parent object.
     */
    protected $parent;

    /**
     * Constructor.
     */
    public function __construct(\Asadi\Parent\Interfaces\ParentRepositoryInterface $parent)
    {
        $this->parent = $parent;
    }

    /**
     * Returns count of parent.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.parent.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->parent->pushCriteria(new \Litepie\Asadi\Repositories\Criteria\ParentUserCriteria());
        }

        $parent = $this->parent->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('parent::' . $view, compact('parent'))->render();
    }
}
