<?php

namespace Asadi\Parent\Workflow;

use Asadi\Parent\Models\Parent;
use Asadi\Parent\Notifications\Parent as ParentNotifyer;
use Notification;

class ParentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Parent $parent
     *
     * @return void
     */
    public function complete(Parent $parent)
    {
        return Notification::send($parent->user, new ParentNotifyer($parent, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Parent $parent
     *
     * @return void
     */
    public function verify(Parent $parent)
    {
        return Notification::send($parent->user, new ParentNotifyer($parent, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Parent $parent
     *
     * @return void
     */
    public function approve(Parent $parent)
    {
        return Notification::send($parent->user, new ParentNotifyer($parent, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Parent $parent
     *
     * @return void
     */
    public function publish(Parent $parent)
    {
        return Notification::send($parent->user, new ParentNotifyer($parent, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Parent $parent
     *
     * @return void
     */
    public function archive(Parent $parent)
    {
        return Notification::send($parent->user, new ParentNotifyer($parent, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Parent $parent
     *
     * @return void
     */
    public function unpublish(Parent $parent)
    {
        return Notification::send($parent->user, new ParentNotifyer($parent, 'unpublish'));;

    }
}
